## ros-indigo-vs060 1.1.8

=== CMakeLists.txt ===
if(NOT USE_ROSBUILD)
  include(catkin.cmake)
  return()
endif()
cmake_minimum_required(VERSION 2.4.6)
include($ENV{ROS_ROOT}/core/rosbuild/rosbuild.cmake)

# Set the build type.  Options are:
#  Coverage       : w/ debug symbols, w/o optimization, w/ code-coverage
#  Debug          : w/ debug symbols, w/o optimization
#  Release        : w/o debug symbols, w/ optimization
#  RelWithDebInfo : w/ debug symbols, w/ optimization
#  MinSizeRel     : w/o debug symbols, w/ optimization, stripped binaries
#set(ROS_BUILD_TYPE RelWithDebInfo)

rosbuild_init()

#set the default path for built executables to the "bin" directory
set(EXECUTABLE_OUTPUT_PATH ${PROJECT_SOURCE_DIR}/bin)
#set the default path for built libraries to the "lib" directory
set(LIBRARY_OUTPUT_PATH ${PROJECT_SOURCE_DIR}/lib)

#uncomment if you have defined messages
#rosbuild_genmsg()
#uncomment if you have defined services
#rosbuild_gensrv()

#common commands for building c++ executables and libraries
#rosbuild_add_library(${PROJECT_NAME} src/example.cpp)
#target_link_libraries(${PROJECT_NAME} another_library)
# rosbuild_add_boost_directories()
#rosbuild_link_boost(${PROJECT_NAME} thread)
#rosbuild_add_executable(example examples/example.cpp)
#target_link_libraries(example ${PROJECT_NAME})
rosbuild_add_executable(publish_scene_from_text src/publish_scene_from_text.cpp)

# set(SETUP_DIRECTORY $ENV{XDG_DESKTOP_DIR})
# if ("${SETUP_DIRECTORY}" STREQUAL "")
#   set(SETUP_DIRECTORY $ENV{HOME}/Desktop)
# endif ("${SETUP_DIRECTORY}" STREQUAL "")
# set(PROJECT_SOURCE_DIR ${PROJECT_SOURCE_DIR})
# configure_file(${PROJECT_SOURCE_DIR}/DensoPickUp.desktop.in ${SETUP_DIRECTORY}/DensoPickUp.desktop)
# add_custom_target(desktop ALL DEPENDS ${PROJECT_SOURCE_DIR}/DensoPickUp.desktop.in)

=== Makefile ===
EXTRA_CMAKE_FLAGS = -DUSE_ROSBUILD:BOOL=0
include $(shell rospack find mk)/cmake.mk

=== model/meshes/Makefile ===
all:
	for file in *.dae; do \
		echo $${file} ; \
		rosrun assimp_devel assimp export $$file `basename $${file} .dae`.stl; \
		ivcon `basename $${file} .dae`.stl `basename $${file} .dae`.stlb; \
		mv `basename $${file} .dae`.stlb `basename $${file} .dae`.stl; \
	done

=== debian/changelog ===
ros-indigo-vs060 (1.1.8-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 02 Mar 2017 15:00:00 -0000

ros-indigo-vs060 (1.1.7-0trusty) trusty; urgency=high

  * publish_simple_scene.py : quit due to https://github.com/ros-planning/moveit_commander/pull/46/files and wait untel 3 collision object has been published
  * Contributors: Kei Okada

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 22 Aug 2016 15:00:00 -0000

ros-indigo-vs060 (1.1.6-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 23 Jun 2016 15:00:00 -0000

ros-indigo-vs060 (1.1.5-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 04 Apr 2016 15:00:00 -0000

ros-indigo-vs060 (1.1.4-0trusty) trusty; urgency=high

  * publish_simple_scene: add missing imports
  * Contributors: Kei Okada

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sun, 07 Feb 2016 15:00:00 -0000

ros-indigo-vs060 (1.1.3-0trusty) trusty; urgency=high

  * wait for move_group
  * add publish_simple_scene.py and fix test code
  * add dummy root link, since we had "The root link BASE has an inertia specified in the URDF, but KDL does not support a root link with an inertia.  As a workaround, you can add an extra dummy link to your URDF." warning
  * Contributors: Kei Okada

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Wed, 03 Feb 2016 15:00:00 -0000

ros-indigo-vs060 (1.1.2-0trusty) trusty; urgency=high

  * vs060_world.launch is no longer requred
  * Contributors: Kei Okada

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sun, 20 Dec 2015 15:00:00 -0000

ros-indigo-vs060 (1.1.1-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 02 Nov 2015 15:00:00 -0000

ros-indigo-vs060 (1.1.0-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Fri, 30 Oct 2015 15:00:00 -0000

ros-indigo-vs060 (1.0.0-0trusty) trusty; urgency=high

  * update to indigo
  * Use arg for world file name
  * [vs060] use stl file instead of dae file in order to work on gazebo
  * Add launch file for Gazebo
  * Contributors: Isaac IY Saito, Ryohei Ueda, Hisashi Kanda

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 29 Oct 2015 15:00:00 -0000

ros-indigo-vs060 (0.2.9-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Fri, 06 Mar 2015 15:00:00 -0000

ros-indigo-vs060 (0.2.8-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Tue, 29 Jul 2014 15:00:00 -0000

ros-indigo-vs060 (0.2.7-0trusty) trusty; urgency=high

  * Rename repository (Fix https://github.com/start-jsk/denso/issues/13, https://github.com/start-jsk/denso/issues/14)
  * Contributors: Isaac Isao Saito

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 02 Jan 2014 15:00:00 -0000

ros-indigo-vs060 (0.2.6-0trusty) trusty; urgency=high

  * fix to https://github.com/start-jsk/denso/issues/12
  * Remove manifest.xml since the entire package depends on wet packages open_industrial_ros_controllers.
  * Contributors: Isao Isaac Saito

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 12 Dec 2013 15:00:00 -0000

ros-indigo-vs060 (0.2.5-0trusty) trusty; urgency=high

  * (vs060) Corrected scripts' install path.
  * (vs060) add a demo script that runs w/o pendant.
  * Contributors: Isao Isaac Saito

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Tue, 10 Dec 2013 15:00:00 -0000

ros-indigo-vs060 (0.2.4-0trusty) trusty; urgency=high

  * add a demo script that runs w/o pendant.
  * Contributors: Isao Isaac Saito

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 09 Dec 2013 15:00:00 -0000

ros-indigo-vs060 (0.2.3-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Fri, 06 Dec 2013 15:00:00 -0000

ros-indigo-vs060 (0.2.2-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 05 Dec 2013 15:00:00 -0000

ros-indigo-vs060 (0.2.1-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 05 Dec 2013 15:00:00 -0000

=== debian/control ===
Source: ros-indigo-vs060
Section: misc
Priority: extra
Maintainer: Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-moveit-commander, ros-indigo-moveit-ros-planning, ros-indigo-open-controllers-interface, ros-indigo-roscpp, ros-indigo-roslang
Homepage: http://wiki.ros.org/vs060
Standards-Version: 3.9.2

Package: ros-indigo-vs060
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-moveit-commander, ros-indigo-moveit-ros-planning, ros-indigo-open-controllers-interface, ros-indigo-roscpp, ros-indigo-roslang
Description: This package provides ORiN-based controller functionality for VS060, a Denso's virtical multi-joint robot.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-vs060//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
